<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_565d7be99acb0b7627e48da068eebbd" . "6" => base64_decode("cmVxdWl" . "yZWQ="), "_ec438e08973b37" . "16c60e393f66ef5" . "e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2U" . "gSUMgcHJvamVjdA=="), "projec" . "t_id" => base64_decode("cHJvamVjdF9pZA=" . "="), "_5a318eaa74" . "da0cc2a06bd" . "b95289fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJvamVjdA=" . "="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["project" . "_id"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5a318eaa74da0c" . "c2a06bdb95289fe" . "81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["proj" . "ect_" . "id"], $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_ec438e08973b3" . "716c60e393f66e" . "f5e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_565d7be99acb0b" . "7627e48da068eeb" . "bd6"]);
        $this->_formBuilt = true;
    }
}